// ZOOM PHOTO ARTICLE
(function($){
	$('#article-photo').live('click', function(){
		if( !$('#zoom').length ){
			// Variables
			var _ = {
				offsetDoc : parseInt($(document).scrollTop()),
				offsetWin : parseInt($(window).height() / 2),
				imgSrc : $('img',this).attr('src').substring(0,$('img',this).attr('src').indexOf('_')) + '.jpg',
				legend : $('p',this).text()	
			};

			// Append zoom container 
			$('body').append('\
				<div id="zoom">\
					<span class="closed"/>\
					<p>' + _.legend + '</p>\
					<img src="' + _.imgSrc + '" />\
				</div>'
			);

			// Place zoom after loading img
			$('#zoom img').load(function(){
				//var imgHeight  =  $('#zoom img').height() + 30;
				var imgHeight  =  ($('#zoom img').outerHeight())+($('#zoom p').outerHeight()+14);
				var imgWidth =  $('#zoom img').width();
				
				$('#zoom').css({
					top : (_.offsetDoc + _.offsetWin) + 'px',
					left: '50%',
					marginTop: - (imgHeight + 100 ) / 2,
					marginLeft: - (imgWidth + 20 ) / 2,
					width: imgWidth,
					height: imgHeight
				}).animate({ opacity: 1 }, 250 );
			});
			
			
			// Event
			$('#zoom').live('click', function(){ $(this).remove(); });
		};
	});
})(jQuery);

var wBarometre = $('.barometre').width(),
	wPourcent = $('.barometre strong').width(),
	wRPourcent = Math.round((wPourcent*100)/wBarometre),
	indexOfPourcent = $('.barometre strong').text().indexOf("%"),
	rPourcent = $('.barometre strong').text(),
	rNPourcent = 0,
	valPourcent = Math.round(parseInt(rPourcent.substring(0,indexOfPourcent)));

$('.barometre strong').text("0%").css({ display:'block' });
setTimeout("barometre()", 2000);

function barometre(){
	$('.barometre strong').animate({ left: (valPourcent-(wRPourcent/2))+'%' }, 2000);
	barometreIncrement();
}

function barometreIncrement(){
	if(rNPourcent < valPourcent){
		rNPourcent++;
		$('.barometre strong').text(rNPourcent+'%');
		setTimeout(barometreIncrement, (valPourcent/2000));
	}
}